%define lib_major		4
%define lib_name		%mklibname %{name} %{lib_major}
%define lib_name_devel		%mklibname %{name} -d
%define lib_name_static_devel	%mklibname %{name} -d -s

Summary:	Multiple-precision floating-point computations with correct rounding
Name:		mpfr
Version:	3.1.2
Release:	%mkrel 1
Epoch:		0
License:	LGPLv3+
Group:		System/Libraries
URL:		http://www.mpfr.org/
Source0:	http://www.mpfr.org/mpfr-current/mpfr-%{version}.tar.xz
Source1:	http://www.mpfr.org/mpfr-current/mpfr-%{version}.tar.xz.asc
BuildRequires:	libgmp-devel

%description
The MPFR library is a C library for multiple-precision
floating-point computations with correct rounding. 

%package -n %{lib_name}
Summary:	Multiple-precision floating-point computations with correct rounding
Group:		System/Libraries

%description -n %{lib_name}
The MPFR library is a C library for multiple-precision
floating-point computations with correct rounding. 

%package -n %{lib_name_devel}
Summary:	Development headers and libraries for MPFR
Group:		Development/C
Requires(post):	info-install
Requires(preun):	info-install
Requires:	%{lib_name} = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%mklibname -d %name 1

%description -n %{lib_name_devel}
The development headers and libraries for the MPFR library.

%package -n %{lib_name_static_devel}
Summary:	Static libraries for MPFR
Group:		Development/C
Requires:	%{lib_name_devel} = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-static-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-static-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%mklibname -d -s %name 1

%description -n %{lib_name_static_devel}
Static libraries for the MPFR library.

%prep
%setup -q

%build
%configure2_5x \
	--enable-shared \
	--enable-thread-safe

%make

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

rm -rf installed-docs
mv %{buildroot}%{_docdir}/%{name} installed-docs

rm -f %{buildroot}%{_libdir}/libmpfr.la

%check
make check

%post -n %{lib_name_devel}
%_install_info %{name}.info

%preun -n %{lib_name_devel}
%_remove_install_info %{name}.info

%clean
%{__rm} -rf %{buildroot}

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libmpfr.so.%{lib_major}*

%files -n %{lib_name_devel}
%defattr(-,root,root)
%doc installed-docs/*
%{_includedir}/mpfr.h
%{_includedir}/mpf2mpfr.h
%{_infodir}/mpfr.info*
%{_libdir}/libmpfr.so

%files -n %{lib_name_static_devel}
%defattr(-,root,root)
%{_libdir}/libmpfr.a


%changelog

* Fri Mar 29 2013 mitya <mitya> 0:3.1.2-1.mga3
+ Revision: 406539
- New version 3.1.2

* Sat Jan 12 2013 umeabot <umeabot> 0:3.1.1-2.mga3
+ Revision: 360415
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 07 2012 mitya <mitya> 0:3.1.1-1.mga3
+ Revision: 268752
- New version 3.1.1

* Tue Dec 27 2011 mitya <mitya> 0:3.1.0-1.mga2
+ Revision: 188191
- Really remove .la files
- Update to latest upstream release
- remove .la files

* Wed Apr 20 2011 pterjan <pterjan> 0:3.0.1-1.mga1
+ Revision: 89004
- Update to 3.0.1

* Sat Jan 15 2011 mikala <mikala> 0:3.0.0-3.mga1
+ Revision: 18270
- Drop mdk macros
- Remove BuildRoot
- imported package mpfr


* Mon Aug 16 2010 Anssi Hannula <anssi@mandriva.org> 0:3.0.0-3mdv2011.0
+ Revision: 570271
- revert incorrect obsoletion of previous major
- remove conflicting documentation from the main library package
- move documentation to the correct directory

* Sun Aug 15 2010 Tomas Kindl <supp@mandriva.org> 0:3.0.0-2mdv2011.0
+ Revision: 570224
- add missing obsolete, fixing #60656

* Sat Aug 14 2010 Tomas Kindl <supp@mandriva.org> 0:3.0.0-1mdv2011.0
+ Revision: 569501
- bump to 3.0.0
- change license to LGPLv3+ (for 3.0.0+)
- minor SPEC cleanups

* Tue Feb 09 2010 Funda Wang <fwang@mandriva.org> 0:2.4.2-2mdv2010.1
+ Revision: 502943
- rebuild for new gmp

* Wed Dec 02 2009 Paulo Andrade <pcpa@mandriva.com.br> 0:2.4.2-1mdv2010.1
+ Revision: 472696
- Update to latest upstream release

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0:2.4.1-2mdv2010.0
+ Revision: 426187
- rebuild

* Sun Mar 08 2009 Frederik Himpe <fhimpe@mandriva.org> 0:2.4.1-1mdv2009.1
+ Revision: 353011
- update to new version 2.4.1

* Wed Feb 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0:2.4.0-1mdv2009.1
+ Revision: 339361
- spec file clean
- do not package COPYING* and INSTALL files
- new license policy
- update to new version 2.4.0
- enable TLS (thread safety)

* Sat Oct 18 2008 David Walluck <walluck@mandriva.org> 0:2.3.2-1mdv2009.1
+ Revision: 295156
- add .lzma compressed tarball
- 2.3.2

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0:2.3.1-2mdv2009.0
+ Revision: 223320
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Jan 31 2008 David Walluck <walluck@mandriva.org> 0:2.3.1-1mdv2008.1
+ Revision: 160619
- 2.3.1

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 0:2.3.0-2mdv2008.1
+ Revision: 148499
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- do not package big ChangeLog

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Oct 28 2007 Funda Wang <fwang@mandriva.org> 0:2.3.0-1mdv2008.1
+ Revision: 102900
- fix requires of devel package
- New devel package policy
- New version 2.3.0

* Sat May 26 2007 David Walluck <walluck@mandriva.org> 0:2.2.1-6mdv2008.0
+ Revision: 31231
- rename build root
- use macro for lib package names
- add static-devel package

* Sun May 20 2007 Anssi Hannula <anssi@mandriva.org> 0:2.2.1-5mdv2008.0
+ Revision: 28936
- rebuild to fix missing library provides

* Tue Apr 17 2007 David Walluck <walluck@mandriva.org> 0:2.2.1-4mdv2008.0
+ Revision: 14166
- bump release to work around build system bug
- Import mpfr



* Sun Apr 15 2007 David Walluck <walluck@mandriva.org> 0:2.2.1-1mdv2007.1
- release
